This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [ITA] indent 2.2.9 - C/C++ language source code formatting program

Hash: SHA1

According to Jari Aalto on 8/27/2007 7:42 PM:
>> libintl8 already depends on libiconv2 so there is no need to include it
>> in requires.
> Good to know. I'm old fashioned and would like to see all the deps, so
> I'd like to keep it visible.

But suppose in the future that libiconv3 is released, and libintl8 is
merely recompiled against libiconv3.  Then, if you have a direct
dependency on both (which some packages do), you are still okay (both
libraries are downloaded, because both are required); but if you only have
an indirect dependency on libiconv2 prior to the upgraded libintl8, you
are now making the user download libiconv2 even though it is completely
unnecessary.  In other words, it is nicer to list only direct
dependencies, rather than the transitive closure of all dependencies,
because the transitive closure can change over time without you doing
anything differently in your package.

- --
Don't work too hard, make some time for fun as well!

Eric Blake   
Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at
Comment: Using GnuPG with Mozilla -


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]